### Constructor

# Clutter Timeline new

#### Declaration [src]

    ClutterTimeline*
    clutter_timeline_new (
      guint duration_ms
    )

#### Description [src]

Creates a new `ClutterTimeline` with a duration of `duration_ms` milli seconds.

#### Parameters

`duration_ms`

  Type: `guint`

  Duration of the timeline in milliseconds.

#### Return value

Type: `ClutterTimeline`

The newly created `ClutterTimeline` instance. Use `g_object_unref()` when done using it.

The caller of the function takes ownership of the data, and is responsible for freeing it.